package dev.ksan.etfoglasiserver.dto;

import dev.ksan.etfoglasiserver.model.NotificationMethod;
import dev.ksan.etfoglasiserver.model.Subject;

import java.util.Set;

public class UserCreationDTO {
  private String email;
  private String newEmail;
  private String password;
  private Set<Subject> subjectSet;
  private String notification;

  public UserCreationDTO(String mail, String password) {
    this.email = mail;
    this.password = password;
  }

  public String getEmail() {
    return email;
  }

  public void setEmail(String email) {
    this.email = email;
  }

  public String getNewEmail() {
    return newEmail;
  }
  public String getPassword() {
    return password;
  }

  public void setPassword(String password) {
    this.password = password;
  }

    public Set<Subject> getSubjectSet() {
        return subjectSet;
    }

    public void setSubjectSet(Set<Subject> subjectSet) {
        this.subjectSet = subjectSet;
    }

    public String getNotification() {
        return notification;
    }


    public void setNotification(String notificationMethod) {
        this.notification = notificationMethod;
    }

    public void setNewEmail(String newEmail) {
        this.newEmail = newEmail;
    }


}
